# WOK
TKWOK
WOKBuilder

# WOKBuilder_HSequenceOfExtension Class Reference

`#include <WOKBuilder_HSequenceOfExtension.hxx>`

## Public Member Functions

| WOKBuilder_HSequenceOfExtension ()
Standard_Boolean | IsEmpty () const
Standard_Integer | Length () const
Standard_EXPORT void | Clear ()
Standard_EXPORT void | Append (const WOKUtils_Extension &anItem)
Standard_EXPORT void | Append (const Handle(WOKBuilder_HSequenceOfExtension)&aSequence)
Standard_EXPORT void | Prepend (const WOKUtils_Extension &anItem)
Standard_EXPORT void | Prepend (const Handle(WOKBuilder_HSequenceOfExtension)&aSequence)
Standard_EXPORT void | Reverse ()
Standard_EXPORT void | InsertBefore (const Standard_Integer anIndex, const WOKUtils_Extension &anItem)
Standard_EXPORT void | InsertBefore (const Standard_Integer anIndex, const Handle(WOKBuilder_HSequenceOfExtension)&aSequence)
Standard_EXPORT void | InsertAfter (const Standard_Integer anIndex, const WOKUtils_Extension &anItem)
Standard_EXPORT void | InsertAfter (const Standard_Integer anIndex, const Handle(WOKBuilder_HSequenceOfExtension)&aSequence)
Standard_EXPORT void | Exchange (const Standard_Integer anIndex, const Standard_Integer anOtherIndex)
Standard_EXPORT Handle_WOKBuilder_HSequenceOfExtension | Split (const Standard_Integer anIndex)
Standard_EXPORT void | SetValue (const Standard_Integer anIndex, const WOKUtils_Extension &anItem)
Standard_EXPORT const WOKUtils_Extension & | Value (const Standard_Integer anIndex) const
Standard_EXPORT WOKUtils_Extension & | ChangeValue (const Standard_Integer anIndex)
Standard_EXPORT void | Remove (const Standard_Integer anIndex)
Standard_EXPORT void | Remove (const Standard_Integer fromIndex, const Standard_Integer toIndex)
const WOKBuilder_SequenceOfExtension & | Sequence () const
WOKBuilder_SequenceOfExtension & | ChangeSequence ()
Standard_EXPORT Handle_WOKBuilder_HSequenceOfExtension | ShallowCopy () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

WOKBuilder_SequenceOfExtension | mySequence

## Constructor & Destructor Documentation

WOKBuilder_HSequenceOfExtension::WOKBuilder_HSequenceOfExtension | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void WOKBuilder_HSequenceOfExtension::Append | ( | const Handle(WOKBuilder_HSequenceOfExtension)& | aSequence | ) |

Standard_EXPORT void WOKBuilder_HSequenceOfExtension::Append | ( | const WOKUtils_Extension & | anItem | ) |

WOKBuilder_SequenceOfExtension& WOKBuilder_HSequenceOfExtension::ChangeSequence | ( |  | ) |

Standard_EXPORT WOKUtils_Extension& WOKBuilder_HSequenceOfExtension::ChangeValue | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT void WOKBuilder_HSequenceOfExtension::Clear | ( |  | ) |

Standard_EXPORT void WOKBuilder_HSequenceOfExtension::Exchange | ( | const Standard_Integer | anIndex,
|  | const Standard_Integer | anOtherIndex
| ) |

Standard_EXPORT const WOKBuilder_HSequenceOfExtension::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void WOKBuilder_HSequenceOfExtension::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const Handle(WOKBuilder_HSequenceOfExtension)& | aSequence
| ) |

Standard_EXPORT void WOKBuilder_HSequenceOfExtension::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const WOKUtils_Extension & | anItem
| ) |

Standard_EXPORT void WOKBuilder_HSequenceOfExtension::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const Handle(WOKBuilder_HSequenceOfExtension)& | aSequence
| ) |

Standard_EXPORT void WOKBuilder_HSequenceOfExtension::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const WOKUtils_Extension & | anItem
| ) |

Standard_Boolean WOKBuilder_HSequenceOfExtension::IsEmpty | ( |  | ) | const

Standard_Integer WOKBuilder_HSequenceOfExtension::Length | ( |  | ) | const

Standard_EXPORT void WOKBuilder_HSequenceOfExtension::Prepend | ( | const Handle(WOKBuilder_HSequenceOfExtension)& | aSequence | ) |

Standard_EXPORT void WOKBuilder_HSequenceOfExtension::Prepend | ( | const WOKUtils_Extension & | anItem | ) |

Standard_EXPORT void WOKBuilder_HSequenceOfExtension::Remove | ( | const Standard_Integer | fromIndex,
|  | const Standard_Integer | toIndex
| ) |

Standard_EXPORT void WOKBuilder_HSequenceOfExtension::Remove | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT void WOKBuilder_HSequenceOfExtension::Reverse | ( |  | ) |

const WOKBuilder_SequenceOfExtension& WOKBuilder_HSequenceOfExtension::Sequence | ( |  | ) | const

Standard_EXPORT void WOKBuilder_HSequenceOfExtension::SetValue | ( | const Standard_Integer | anIndex,
|  | const WOKUtils_Extension & | anItem
| ) |

Standard_EXPORT Handle_WOKBuilder_HSequenceOfExtension WOKBuilder_HSequenceOfExtension::ShallowCopy | ( |  | ) | const

Standard_EXPORT Handle_WOKBuilder_HSequenceOfExtension WOKBuilder_HSequenceOfExtension::Split | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT const WOKUtils_Extension& WOKBuilder_HSequenceOfExtension::Value | ( | const Standard_Integer | anIndex | ) | const

## Field Documentation

WOKBuilder_SequenceOfExtension WOKBuilder_HSequenceOfExtension::mySequence `[private]`

The documentation for this class was generated from the following file:

- WOKBuilder_HSequenceOfExtension.hxx